Subject: RE: [Sipping] Questions and comments on on-demand authorization draft

From: [email-masked]
Date: Mon, 10 Nov 2003 11:09:16 -0500

Hi Jonathan,

As Henning stated, the draft does not try to promote certain solutions (apologies if you read a certain preference for a ticket-based solution in there). It merely tries to identify if there are specific problems in current solutions wrt the presented scenarios.

The timing of access with setting the authorization is one them, as Henning pointed out. Binding the authorization to a particular subscription and the time window issues are other ones, characteristic for the presented scenarios.

Again, the overview of the solution space is not intended to promote a certain solution. Instead, the major objective of the draft is to outline possible problems and to find (if the WG agrees that these problems need to be addressed) a preferable direction to go ahead. Once this direction is found, we can look more deeply into what particular problems this solution would have wrt supporting the scenarios.

Thanks,

Dirk

>-----Original Message-----
>From: [email-masked] [mailto:[email-masked]]On 
>Behalf Of
>ext Jonathan Rosenberg
>Sent: Monday, November 10, 2003 2:19 AM
>To: Henning Schulzrinne
>Cc: sipping
>Subject: Re: [Sipping] Questions and comments on on-demand 
>authorization
>draft
>
>
>
>
>Henning Schulzrinne wrote:
>
>> This is clearly a very early discussion document, rather than 
>> necessarily a way forward. The principal issue, I believe, is one of 
>> getting the timing right. If I hand you a token, you can immediately 
>> access the resource as soon as you have the token. If I need 
>to update a 
>> permissions file (e.g., XCAP), I need to tell you "please 
>wait some time 
>> before you try accessing the resource, to make sure you don't get 
>> rejected" or you would have to have a feedback mechanism 
>that says "ok, 
>> please try now, you're in the list".
>
>With rfc3265, we have exactly this capability. The NOTIFY can indicate 
>that the subscription state has moved from active to pending.
>
>-Jonathan R.
>
>-- 
>Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
>Chief Technology Officer                    Parsippany, NJ 07054-2711
>dynamicsoft
>[email-masked]                     FAX:   (973) 952-5050
>http://www.jdrosen.net                      PHONE: (973) 952-5000
>http://www.dynamicsoft.com
>
>
>_______________________________________________
>Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
>This list is for NEW development of the application of SIP
>Use [email-masked] for questions on current sip
>Use [email-masked] for new developments of core SIP
>

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP